<!DOCTYPE html>
<html lang="en">
  {% block head %}
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM"
      crossorigin="anonymous"
    />

    <link rel="stylesheet" href="static/style.css" />
    {%block extra_css%}{% endblock %}
    <title>{%block title%}{%endblock%}</title>
  </head>
  {% endblock %}
  <body>
    <nav
      class="navbar navbar-expand-lg bg-body-tertiary"
      data-bs-theme="dark"
      style="
        background: #2e5266 !important;
        position: fixed;
        width: 100%;
        z-index: 1000;
      "
    >
      <div class="container-fluid">
        <a class="navbar-brand" href="/">Converter</a>
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/length/">Length</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/mass/">Mass</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/volume/">Volume</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/temperature/">Temperature</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/time/">Time</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <div class="container">
      <br /><br /><br />{% block body %}{% endblock %} {% if method == "POST" %}
      {% if warnings != [] %}
      <div class="form-control">
        <h6>Note:</h3>
        {% for warning in warnings %}
        <p>{{ warning }}</p>
        {% endfor %}
      </div> {% endif %}
      
      <br>
      <div class="form-control">
        <h6>Output:</h6>
      
      <p>{{ output }}</p></div>{% endif %}<br /><br />
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
      integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"
      integrity="sha384-fbbOQedDUMZZ5KreZpsbe1LCZPVmfTnH7ois6mU1QK+m14rQ1l2bGBq41eYeM/fS"
      crossorigin="anonymous"
    ></script>
    <!-- <script type="text/javascript" src="{{ url_for('static', filename='index.js') }}"></script> THIS IS HOW YOU ADD JAVASCRIPT-->
  </body>
</html>
